Bug 1282350 - Support opportunistic STARTTLS for the incoming connections by default
Support opportunistic STARTTLS for the incoming connections by default
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: postfix (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jaroslav Škarvada
qe-baseos-daemons
: FutureFeature, Reopened
Depends On:
Blocks: 1400961 1472751
  Show dependency treegraph
 
Reported: 2015-11-16 03:34 EST by Tomas Mraz
Modified: 2017-11-01 19:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1475231 (view as bug list)
Environment:
Last Closed: 2017-07-26 05:03:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2015-11-16 03:34:52 EST
Currently the postfix server if installed by default does not support opportunistic STARTTLS for the incoming connections. It would be nice if a selfsigned certificate was generated as part of the installation or during the first startup of postfix similarly to what is done when mod_ssl is installed and the default configuration of postfix included 'smtpd_tls_security_level = may' setting so that opportunistic encryption of all mail transfer is enabled.

Although the self-signed certificate is not too useful for serving https web pages, it actually is much more useful in case of opportunistic encryption for SMTP. It does not prevent MITM attacks but in case of SMTP the attacker capable of doing MITM on the client side could probably also spoof DNS MX records and do MITM in much simpler way than to attack the actual connection. On the other hand the opportunistic encryption prevents mass-scale passive eavesdropping of the transferred e-mails and that is an useful goal to achieve by itself.
Comment 1 Tomas Mraz 2015-11-16 03:40:39 EST
And actually the opportunistic encryption of outgoing connections should be enabled by default too by setting 'smtp_tls_security_level = may'.
Comment 6 Red Hat Bugzilla Rules Engine 2017-07-26 05:03:27 EDT
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.
Comment 7 Jeremy Harris 2017-09-05 04:38:20 EDT
The need is supported by a recommendation by the Internet Architecture Board:

  "The IAB now believes it is important for protocol designers, developers, and
  operators to make encryption the norm for Internet traffic."

https://www.iab.org/2014/11/14/iab-statement-on-internet-confidentiality/


This is a simple change; a one-line configuration.  It should be backported
wherever possible, not merely applied to future RHEL major versions.

Note You need to log in before you can comment on or make changes to this bug.